package org.nakedobjects.applib.value;

import junit.framework.TestCase;

public class ColorTest extends TestCase {
    public void testToTitle() throws Exception {
        assertEquals("Black", Color.BLACK.title());
        assertEquals("White", Color.WHITE.title());
        assertEquals("#fe231d", new Color(0xfe231D).title());
    }
    
    public void testIsLessThan() throws Exception {
        assertTrue(Color.BLACK.isLessThan(Color.WHITE));
    }
}


// Copyright (c) Naked Objects Group Ltd.
