package org.nakedobjects.applib.value;

import junit.framework.TestCase;

public class PasswordTest extends TestCase {
    public void testCheckPassword() {
        Password password = new Password("secret");
        assertFalse(password.checkPassword(""));
        assertFalse(password.checkPassword("SECRET"));
        assertTrue(password.checkPassword("secret"));
    }
    
    public void testTitleObscuresPassword() {
        Password password = new Password("secret");
        assertEquals("******", password.toString());
        
        password = new Password("a very very very long password");
        assertEquals("********************", password.toString());
    }
}


// Copyright (c) Naked Objects Group Ltd.
